OpenJPH: si32_to_bool_list_interpreter Struct Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
si32_to_bool_list_interpreter Struct Reference
Inheritance diagram for si32_to_bool_list_interpreter:

## Public Member Functions
| si32_to_bool_list_interpreter (const ojph::ui32 max_num_elements, ojph::ui32 &num_elements, ojph::si32 *list)
virtual void | operate (const char *str)
ojph::ui32 | get_num_elements ()

## Public Attributes
const ojph::ui32 | max_num_eles
ojph::si32 * | boollist
ojph::ui32 & | num_eles

## Detailed Description

Definition at line 272 of file ojph_compress.cpp.

## Constructor & Destructor Documentation

## ◆ si32_to_bool_list_interpreter()

si32_to_bool_list_interpreter::si32_to_bool_list_interpreter | ( | const ojph::ui32 | max_num_elements,
|  | ojph::ui32 & | num_elements,
|  | ojph::si32 * | list )
| inline

Definition at line 275 of file ojph_compress.cpp.

References boollist, max_num_eles, and num_eles.

## Member Function Documentation

## ◆ get_num_elements()

ojph::ui32 si32_to_bool_list_interpreter::get_num_elements | ( |  | ) |
| inline

Definition at line 316 of file ojph_compress.cpp.

References num_eles.

## ◆ operate()

virtual void si32_to_bool_list_interpreter::operate | ( | const char * | str | ) |
| inlinevirtual

Implements ojph::cli_interpreter::arg_inter_base.

Definition at line 280 of file ojph_compress.cpp.

References boollist, max_num_eles, and num_eles.

## Member Data Documentation

## ◆ boollist

ojph::si32* si32_to_bool_list_interpreter::boollist

Definition at line 319 of file ojph_compress.cpp.

Referenced by operate(), and si32_to_bool_list_interpreter().

## ◆ max_num_eles

const ojph::ui32 si32_to_bool_list_interpreter::max_num_eles

Definition at line 318 of file ojph_compress.cpp.

Referenced by operate(), and si32_to_bool_list_interpreter().

## ◆ num_eles

ojph::ui32& si32_to_bool_list_interpreter::num_eles

Definition at line 320 of file ojph_compress.cpp.

Referenced by get_num_elements(), operate(), and si32_to_bool_list_interpreter().

The documentation for this struct was generated from the following file:

- /build/openjph/src/OpenJPH/src/apps/ojph_compress/ojph_compress.cpp